package com.ruoyi.business.service;

import java.util.List;
import com.ruoyi.business.domain.TbOrder;

/**
 * 订单Service接口
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public interface ITbOrderService 
{
    /**
     * 查询订单
     * 
     * @param id 订单主键
     * @return 订单
     */
    public TbOrder selectTbOrderById(Long id);

    /**
     * 查询订单列表
     * 
     * @param tbOrder 订单
     * @return 订单集合
     */
    public List<TbOrder> selectTbOrderList(TbOrder tbOrder);

    /**
     * 新增订单
     * 
     * @param tbOrder 订单
     * @return 结果
     */
    public int insertTbOrder(TbOrder tbOrder);

    /**
     * 修改订单
     * 
     * @param tbOrder 订单
     * @return 结果
     */
    public int updateTbOrder(TbOrder tbOrder);

    /**
     * 批量删除订单
     * 
     * @param ids 需要删除的订单主键集合
     * @return 结果
     */
    public int deleteTbOrderByIds(String ids);

    /**
     * 删除订单信息
     * 
     * @param id 订单主键
     * @return 结果
     */
    public int deleteTbOrderById(Long id);
}
